Subject: [EDUC] Re : Re: Hamon/SIF-EPI ; le A et non-A de Colin de la Higuera en attendant le CP : contribution au débat
From: [email-masked]
To: Martin Quinson <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Jul 2014 03:37:46 +0200 (CEST)
List-Id: <educ.april.org>

----- Martin Quinson <[email-masked]> a écrit :
> Bonjour les gens, je me présente rapidement pour ce premier post.
> 
> Maître de conférences en informatique à Nancy, je suis développeur
> Debian depuis une dizaine d'années. J'ai fondé et animé un temps le
> groupe de traduction francophone de Debian,
8< ------------------

Bonjour,
Bienvenue sur le liste educ de l'April.

> contribution au débat, en fait.

Que je l'espère.  Sans concession.

> On Fri, 25 Jul 2014 14:56:45 +0200, [email-masked] wrote:
> 
> > > 21 juillet 2014, interview de Colin de la Higuera, président de la SIF[1];
> > > et co-auteur de propositions pour un programme d'enseignement de l'informatique
> > > en primaire [2] :
> > > "Le code informatique à l'école, une bonne idée ?"
> > > http://www.vousnousils.fr/2014/07/21/le-code-informatique-a-lecole-une-bonne-idee-554249
> > > 
> > > Notes :
> > > ------
> > > [1] Société informatique de France:
> > > http://www.societe-informatique-de-france.fr/ 
> > >  
> > > [2] Proposition d'orientations générales
> > > pour un programme d'informatique à l'école primaire
> > > http://www.epi.asso.fr/revue/editic/itic-ecole-prog_2013-12.htm

> Tu coupes la citation pour lui faire dire le contraire. La suite est:
> "Toutefois, un premier problème se pose : l'offre risque d'être
> déséquilibrée entre les villes et les campagnes, il sera donc
> difficile d'assurer l'équité territoriale et la pérennité de
> l'initiative. J'ai l'impression qu'il y a la volonté d'expérimenter,
> mais que la mise en œuvre n'a pas été totalement réfléchie. Le risque
> est évidemment de faire des déçus."

J'ai référé la source.  Tout le monde peut la lire et une citation ce n'est 
pas un copié/collé intégral.

> Donc en résumé, CdlH me semble dire "bon, c'est mieux que rien et
> c'est clairement une mesure de bouts de ficelles. Mais ce n'est ni
> juste ni pérènne, et si on en reste là on va dans le mur". Je ne
> dirais donc pas qu'il pense que c'est une bonne idée.

C'est écrit NOIR SUR BLANC : "C'est une bonne idée car c'est là que se 
trouvent les compétences et ça fonctionne déjà", sans qu'il ne saisisse
la balle au bond pour une initiation intégrée au temps scolaire...

> 
> > > A noter que le draft du cp en attente énonce :
> > > 
> > > "nous eussions préféré qu'elle s'accompagne de mesures permettant de généraliser 
> > > cette initiation sur le temps scolaire,  dans le cadre de la main à la pâte [3] 
> > > par exemple, garantissant l'égalité des apprentissages sur le territoire national. 
> > > Ainsi, l'accompagnement éducatif périscolaire aurait de cette façon pris 
> > > tout son sens".
> > > 
> > > Sans rejeter le périscolaire; le draft prend position pour des apprentissages 
> > > sur le temps scolaire estimés à une dizaine d'heures annuelles sur le niveau CM2,
> > > suite aux débats sur la liste, ce qui peut être mis en place progressivement.
> 
> J'imagine que tu parles de
> http://lite4.framapad.org/p/lettre_education_numerique 
> 
> Est ce que tu sais que la première version de ce texte a été écrite
> par ton grand copain Bastien Guerry 

OUI bien sûr.

C'est pour cette raison que j'ai tenté d'être le maximum diplomatique
dans l'écriture du draft compte tenu que ce n'était pas une initiative
de l'April.

> avec qui tu as si souvent croisé
> le fer trollesque sur la liste itic, au point de l'en faire se
> désabonner et au risque de dégouter ses bonnes intensions ? 

Il s'est aussi désabonné de la liste educ de l'April par ma seule
présence.

Pour info, je n'ai pratiquement pas croisé directement le fer avec 
Bastien Guerry sur la liste de l'EPI... C'est sans intérêt.

> Est ce que tu sais que le texte a été relu et approuvé par les gens de
> l'EPI que tu décrie si souvent ? Même Higuera a lu et approuvé ce
> texte... Si nous n'avons pas édité la version initiale en 3
> paragraphes, c'est qu'elle etait assez efficace comme ça. Je suis
> content de voir que les membres de l'april en ont fait un texte long
> et argumenté. C'est un autre style, mais c'est bien aussi. 
> Merci de votre travail, soit dit au passage.

Dans l'interview Hamon annonce 3 choses :

a) le primaire et l'apprentissage du "code" sur le temps périscolaire
b) le relais par les profs de math et de techno
c) l'enveloppe de 700 millions d'euros de fonds

Le draft que j'ai rédigé occulte volontairement le deuxième point.
Je savais que l'initiative sur le pad était partie du fondateur
de http://jecode.org/.

J'ai donc volontairement et à regret, compte tenu du contexte, occulté
le point numéro 2, pour me concentrer sur les points numéro 1 et numéro 3 :
l'externalisation de l'informatique du service public d'éducation dans du SaaS.

> Au passage, CdlH est la seule personne que je connaisse qui mette un
> logo BY-SA sur toutes ses présentations, scientifiques ou non. Il est
> très loin d'être opposé au logiciel libre.

Il n'y a pas de convergence de toutes les communautés du logiciel libre
sur la nécessité d'un enseignement de l'informatique à l'école.

Certains pensent sur la liste educ de l'April qu'il faut en priorité
virer Microsoft de l'éducation ; d'autres, comme Benjamin Bayart, qu'il est
plus urgent d'apprendre aux enfants à publier  ; d'autres encore, à l'instar
de Michel Guillou, qu'il faut avant tout mettre l'accent sur la "transversalité 
de la culture numérique".

A l'inverse parmi les partisans d'un enseignement de l'informatique, certains
comme Guerry pensent qu'il faut séparer la promotion des logiciels libres de 
l'enseignement de l'informatique. Ce n'est pas ma position.

Pour ce qui me concerne, j'ai fondé le groupe educ de l'April avec Michel 
Delord dans le refus de séparer le combat pour le logiciel 
libre à l'école de celui d'un nécessaire enseignement de l'informatique.
Michel Delord a par la suite fondé "Sauver les maths" avec
laurent Laforgue (médailler fields) et Jean-Pierre Demailly (auteur
de logiciels libres, correspondant de l'académie des sciences)...

Google, Microsoft, le Syntec, le président de l'INRIA, l'AFDEL sont aussi
pour un enseignement du "code" à l'école.  S'agit-il des mêmes contenus ?
Je ne le crois pas. Donc rien n'est réglé.

> > > 2/ Pour ce qui concerne le secondaire 
> > > 
> > > a) Niveau collège :
> > > 
> > > Colin de la Higuera est radicalement opposé à un apprentissage du "code"
> > > (dont la définition qu'il donne est des pus vastes et donc forcément
> > > imprécise) par des professeurs de mathématiques et de technologie.
> 
> À propos de la définition, il dit : "Le code, c'est d'une part la
> pensée informatique, c'est-à-dire le fait de réfléchir à un algorithme
> que l'on reprogramme pour que la machine réalise les actions
> souhaitées. D'autre part, il est nécessaire de savoir décrypter des
> concepts fondamentaux : qu'est-ce qu'une machine ? Comment ça
> s'organise ? Il faut apprendre les rouages, un peu comme on le ferait
> en médecine pour les organes du corps humain." 
> Dire que c'est vaste et imprécis tient au mieux de la précipitation,
> et au pire du FUD pur et simple.

C'est imprécis. Et comment pourrait-il en être autrement puisque la puissance 
d'évocation des concepts évoqués va au delà de leur puissance de signifié.

La notion de "code" est un élément de langage du novlangue médiatique;
à l'instar d'autres mots comme le substantif "numérique"...

Tandis que code, codage tels qu'ils sont définis sur Wikipédia renvoient
à des notions précises qui doivent être enseignées pour que les élèves
puissent appréhender leur environnement technologique. 

Mais "il faut apprendre les rouages, un peu comme on le ferait en médecine 
pour les organes du corps humain" relève à mes yeux d'une pensée analogique.

Désolé. Mais peu importe...

> > > Pour appuyer ses dires, il s'appuie sur une métaphore historique :
> > > " On ne peut pas imaginer que le professeur d'Histoire puisse enseigner 
> > > la Première Guerre mondiale sans connaître la Seconde Guerre mondiale.".
> > > 
> > > La vision de l'enseignement de l'informatique de Higuera est linéaire.
> > > Or le parallèle avec le cours d'Histoire est inadéquat en ce qu'un grand
> > > nombre de savoirs informatiques ne sont pas réductibles, contrairement 
> > > à l'histoire qui s'y prête davantage par la chronologie, à une représentation 
> > > purement hiérarchique et séquentielle.
> 
> Non, il aurait pu dire qu'on ne peut pas enseigner correctement
> l'addition sans savoir ce qu'est l'intégration.

Là tu pars sur les maths.  Lorsque mes collègues de maths abordent un élément 
elles/ils pensent bien sûr, à ce vers quoi elles souhaitent tendre. 
Par exemple ce qui distingue surface et aire (tendre vers la notion de classe 
d'équivalence). 

La didactique est concomitante aux mathématiques parce que c'est l'une
des disciplines qui s'y prête le mieux. Mais tout n'est pas dans tout et
réciproquement.
Pour aborder l'inconnu les experts ne connaissent que le passé pas ce qui
sera.

>  C'est une thèse assez
> courante en didactique que de dire qu'il est nécessaire d'en savoir
> (beaucoup) plus long que les élèves à qui on enseigne. Il n'est pas
> question de linéarité, mais de dire qu'on ne peut enseigner
> correctement ce à quoi on a été formé 3 jours en regroupement
> accadémique.

Que vient faire ici une formation de 3 jours ?

Ce n'est pas le sujet.

Notre différend profond tient au fait que je considère votre 
point de vue comme idéologique et déconnecté du réel de l'école.

Idéologique en ce sens où vous ne partez pas d'une réalité de terrain
mais d'une idée : la science informatique comme discipline autonome.

Soit. 

Mais quels moyens proposez-vous, notamment sur le niveau collège, 
puisque c'est de cela dont on parle, pour y parvenir ?

Sur quel budget l'ouverture de dizaine de milliers de postes
à un éventuel CAPES informatique ?

Quelles disciplines - le temps scolaire n'étant pas extensible - 
supprimez-vous ? Quelles parties de leurs programmes ?

Quid des profs de techno ?

> D'aucun, comme le simplon.co par exemple, pensent au contraire que le
> maître doit être ignorant (en référence à Jacototà. Est-ce cette
> pensée que tu défends ? pourquoi pas, mais il faut préciser, non ?

C'est une discussion pédagogique qui n'est pas dénuée d'intérêts
que je préfère garder en jachères pour une autre fois.

L'enjeu du débat ici c'est la dichotomie science/technologie, quand bien
même les deux sont liés.
 
> > > De nombreux savoirs informatiques sont référés à d'autres disciplines, 
> > > notamment les mathématiques. Par exemple le test de Shannon référé dans mon 
> > > dernier post, donné comme sujet d'agrégation de mathématiques et dont les applications 
> > > relèvent de l'ingénierie informatique en tant que méthodes de détection et de correction
> > > automatique d'erreurs.
> > > 
> > > Pour être cohérent avec lui-même Higuera ne devrait-il pas exiger que tous
> > > les professeurs enseignant l'informatique passent préalablement un CAPES
> > > et/ou une agrégation de mathématiques ?
> > >
> > > Mais à l'instar d'une logique formelle buggée de type A et non-A, le discours
> > > de l'EPI et/ou de la SIF est un immense paradoxe.
> 
> WAT? je vois un raisonnement hatif, mais pas forcément chez Higuera,
> là. Est ce qu'il faut une maitrise de français pour enseigner dans
> cette langue? Est ce que tu peux préciser quelle partie de la pensée
> de Higuera tu invoques quand tu parles de cohérence pour arriver à une
> telle conclusion, s'il te plait?

A => Initiation périscolaire : "C'est une bonne idée car c'est là que se 
trouvent les compétences et ça fonctionne déjà".

Non-A => Initiation en math et en techno : "Mauvaise idée" (sous-entendu, il n'y
a pas de compétences.

Sur le plan formel c'est un discours buggé de type A et Non-A qui relève
du jugement de valeur et de l'idéologie.

> > > Comment Colin de la Higuera peut-il entendre la difficulté de la tâche que 
> > > représenterait la formation de 300 000 professeurs des écoles pour des cours
> > > limités à une dizaines d'heures par année et ne pas voir les difficultés
> > > bien plus grandes qui consisteraient à ouvrir des dizaines de milliers de postes
> > > à un éventuel CAPES d'informatique pour remplacer les professeurs de technologie,
> > > rien que pour le seul niveau collège ?
> 
> Comme dit ci-dessus, dire "oui, ne pas former les profs d'école au
> préalable se comprend car c'est une lourde tâche" 

Je prétends que pour un enseignement d'une dizaine d'heures annuelles c'est
sans doute une lourde tâche, mais ô combien plus simple à résoudre  que de former
sur le niveau collège des dizaine de milliers d'enseignants censés
enseigner la "science et technologie informatique" que vous prônez à temps plein 
sur 4 ans ; sans occulter le fait que dans votre projet vous mettez au placard 
des dizaines de milliers d'autres enseignants.

Le point de vue de l'April qui était également celui de l'EPI à l'époque
de l'élection présidentielle était bien plus crédible.

Initiation à l'informatique intégrée aux cours de technologie.
Options science de l'informatique sur les niveau quatrième/troisième,
avec là effectivement CAPES.

Cf :

Niveau Collège

Question 6.c : Au collège, êtes-vous favorable à un enseignement de l'informatique 
pour tous, par exemple selon une modalité où l'informatique représenterait de l'ordre 
de 40 % des contenus de la discipline Technologie (une formation complémentaire en 
informatique devant être donnée aux enseignants de cette discipline). 

Êtes-vous favorable à la création d'une option informatique en Quatrième ou en Troisième ? 
Si oui, quelle forme prendrait-elle ?

http://candidats.fr/category/Cahiers-2012/%C3%89ducation

>  est une prise de
> judo mentale pour conclure par "mais tant qu'on le fait pas, ce n'est
> ni pérenne, ni juste". Ca me semble donc parfaitement raccord avec ce
> que tu rapportes ci-dessus. On a exactement le même problème au
> collège (et au lycée) : on peut demander à certains d'enseigner une
> discipline qui n'est pas la leur sans les former dignement, mais c'est
> une économie de bout de ficelle qui n'est ni pérène ni satisfaisante.
> 
> > > Et on en fait quoi des profs de techno ?
> 
> Ah, nous y voilà. Ton argumentaire serait-il teinté de corporatisme,
> peut-être ? ;) 

NON. Je pense qu'un enseignement de l'informatique intégré à la technologie
pose d'emblée la question du libre et du privateur. Et c'est l'une des
raisons pour laquelle l'Académie des sciences dans sa période favorable
au B2I était fermement opposée à tout enseignement de notions informatiques
intégrée à la technologie. La pensée dominante étant alors : "l'outil".

D'ailleurs quelque temps auparavant l'Académie des technologies avait 
de son côté participé au draft sur la deuxième directive européenne 
sur la brevetabilité des logiciels.

 
> J'imagine que tu vas me retourner l'accusation de corporatisme. 

NON. Je pense que vous n'êtes pas encore en mesure de tolérer un
enseignement technologique, que votre égo est démesuré et que vos
velléités sont impérialistes

> Je dirais simplement que si on ne forme pas plus d'informaticiens en
> France, je garderais mon privilège de caste. J'ai l'impression de
> travailler contre mes intérêts propres en cherchant à diffuser mes
> savoirs au plus grand nombre. Je ne cherche certainement pas à
> défendre ma discipline, qui n'est d'ailleurs absolument pas remise en
> cause dans le supérieur où je travaille.

Sans doute parce que tu es bien jeune. J'ai enseigné durant plusieurs
années au département informatique de Paris 8 et j'ai assisté à
de nombreuses guerres contre les informaticiens.

 
> > > De plus une telle mesure serait totalement anti-pédagogique en ce qu'il importe
> > > avant tout d'apprendre aux enfants à distinguer les logiques propres aux
> > > biens tangibles de celles relatives aux objets informatiques. Et cet enseignement
> > > là qui serait celui d'une technologie ouverte sur toutes les technologies, 
> > > matérielles et immatérielles, sans les amalgamer, aurait au moins l'avantage 
> > > d'être totalement en phase avec la philosophie du Libre.
> 
> Je ne vois pas en quoi le fait de réduire l'informatique à sa
> dimension technique serait plus en phase avec la philosophie du libre
> que d'offrir toutes les clés nécessaires pour comprendre la
> discipline. Il s'agit entre autres de la linguistique, des
> mathématiques, et de l'ingénierie.

Nous voici enfin au coeur du débat.

En premier lieu, contrairement à ce qu'affirme le dernier rapport de
l'Académie - celui favorable à un enseignement de l'informatique - l'informatique
n'est surtout pas une "science" et une "technique" (hormis pour
le matériel).

Partir d'un tel postulat serait admettre la légitimité des brevets logiciels ;
les logiciels ne revêtant pas de caractère technique, ils ne sont donc
pas brevetables. Technique : ce qui modifie directement les forces de
la nature.

Les logiciels revêtent donc un caractère technologique. Et notre environnement
technologique n'est pas seulement composé d'objets numériques, il est également 
composé d'objets techniques.

Toute l'idéologie dominante vise à amalgamer les logiques qui ont trait
aux biens tangibles aux objets numériques : brevets logiciels, vente
subordonnée, propriété dite intellectuelle, etc.

Un enseignement technologique qui pourrait (pour le moment les programmes
officiels l'interdisent formellement) aborder les différentes logiques
dans leurs spécificités serait donc totalement en phase avec le libre,
en ce qu'il répondrait à un obscurantisme par un ordre des raisons.

> 
> > > Les membres de l"EPI, de la SIF, ne savent-ils pas que la France souffre d'une 
> > > lourde pénurie de candidats au CAPES de mathématiques, sans parler de la pénurie
> > > d'informaticiens sur le marché du travail. Ils vont les chercher où leurs dizaines
> > > de milliers pour les collèges et lycées de candidats au CAPES d'informatique ?
> > > Sur quels budgets ?
> 
> Et bien si, justement. C'est bien parce qu'ils savent qu'il n'y a pas
> assez de monde en capes maths qu'ils ont proposé un projet de capes
> info-maths, qui serait ouvert aux diplomés d'informatique et qui leur
> permettraient d'enseigner l'informatique dans de bonnes conditions, et
> de servir de bouche-trou sur des enseignements plus faciles de maths
> si y'a vraiment besoin. Justement pour créer un bassin de recrutement,
> puisque les diplomés de master d'informatique qui souhaitent enseigner
> n'ont actuellement pas le droit.
> 
> Mais toi, par contre, tu approuves implicitement le fait de faire
> enseigner l'informatique par des profs de maths [et de techno]
> ci-dessus pour dire maintenant qu'il n'est pas raisonnable de former
> des profs d'info car on manque déjà de profs de maths. Well, well.

Jusqu'à preuve du contraire il n'y a pas de discipline informatique
sur le niveau collège. Et il ne s'agit pas de faire enseigner 
l'informatique par des profs de math. En revanche, je ne vois pas
pourquoi les profs de math ne pourraient pas enseigner de l'algorithmie ?

Parce qu'un micro-groupe a décidé que c'était une chasse gardée ?

Ce qui compte le plus pour un prof de math en collège ce n'est pas d'enseigner 
la science informatique, mais pour une grande part de lutter contre l'échec
scolaire. 

En 2011, un sondage du Centre de recherche pour l'étude et l'observation 
des conditions de vie (Crédoc) montrait que la moitié des adultes ignorent 
que, s'ils placent 100 euros à 2 %, ils auront 102 euros au bout d'un an.
http://www.lemonde.fr/education/article/2013/03/29/les-maths-nouvelle-langue-morte_3149485_1473685.html

A l'issue de la 3e, dernière année où tous les adolescents du pays sont 
scolarisés ensemble, 15 % des élèves ne maîtrisent aucune des notions 
sur lesquelles ils travaillent depuis la classe de 6e, selon une étude 
du ministère de l'éducation nationale de la fin 2010. 
30 % d'entre eux sont capables de multiplier ou d'additionner des nombres 
simples, de calculer des carrés simples. Si ces collégiens savent trouver 
un pourcentage à l'aide d'une calculatrice, ils n'arrivent ni à en donner 
un ordre de grandeur de tête, ni à en faire l'opération à la main. Et sont 
incapables de résoudre une équation. S'ils s'en sortent mieux, les 55 % 
d'élèves restants ne sont pas tous brillants, loin s'en faut. Seuls 15 % 
d'entre eux sont capables de déplacer la virgule de deux rangs quand ils 
convertissent des mètres carrés en décimètres carrés, d'arriver à 33 quand 
on leur demande de calculer trois quarts de 44 ou de déterminer l'aire d'un cercle... 
http://www.lemonde.fr/education/article/2013/03/29/les-maths-nouvelle-langue-morte_3149485_1473685.html

En revanche,  et c'est le cas dans mon collège où nous bâtissons un projet 
pluridisciplinaire maths/techno/informatique sur la modélisation, la programmation 
en tant que moyen pour apprendre à modéliser peut permettre d'offrir une remédiation
pour apprendre les maths et non pas l'informatique en tant que telle.  

> Quant à la pénurie d'informaticiens en France, c'est exactement la
> raison pour laquelle il est urgent d'enfin enseigner la discipline
> correctement. Ne pas prélever 10000 individus maintenant pour en faire
> des enseignants, c'est se priver de plusieurs ordres de grandeur de
> plus dans la décénie. Comment peux-tu proner cette approche ?

Je constate que tu prélèves des individus... Moi ça me fait froid dans
le dos la manière dont tu témoigne de ton altérité.

La pénurie d'informaticiens est avant tout un choix politique.

Si les décideurs avaient conscience de l'importance stratégique de l'informatique, 
ils n'externaliseraient pas toute l'informatique de service public, et les appels
d'offres des projets d'avenir ne proposeraient pas du SaaS.

Cela étant dit, les finalités du primaire et du collège ne sont
pas préprofessionnalisants.  Le discours d'une Laure de la Raudière 
qui met en avant la pénurie d'informaticiens pour légitimer le "code"
à l'école primaire sont effroyables.

> Bref Charlie, si j'applique le rasoir d'Ockham, ta haine vicérale de
> l'EPI, de la SIF et de tous ceux qui pronent un enseignement raisonné
> et pérène de l'informatique n'est pas dicté par ton intérêt pour le
> logiciel libre, mais bien par un corporatisme de bas étage.

Ma haine est celle du totalitarisme. De tous les totalitarismes 

Merci pour le corporatisme de bas étage.

Si je l'étais je ne me serai pas fait virer de la liste des profs de techno
à l'époque où elle était tenue par Ginestié un farouche adversaire de tout
enseignement de l'informatique en techno et avoir défendu becs et ongles
les positions de l'EPI.

Si j'étais corporatiste je n'aurais pas proposé à mon fils de prendre
à ma place, comme modérateur, Jean-Pierre Archambault pour l'honorer,
dans un colloque historique avec Albert Jacquard  et Richard Stallman.
http://www.framasoft.net/article5086.html

Si j'étais corporatiste j'aurais accepté un poste de professeur associé
à Paris 8 au département d'info, mais j'ai préféré retourner en 
collège...

 
> Je n'ai rien pour ou contre les profs de techno. Il y a des profs de
> techno sur la liste itic, par exemple, et même un ex-IPR de techno à
> la retraite. Il faut effectivement trouver une solution pour les
> enseignants de cette discipline si y'a un problème (je manque de
> données pour avoir un vrai avis). Mais cela ne devrait pas être
> contradictoire avec l'enseignement de l'informatique.

Merci pour  "il faut effectivement trouver une solution
pour les profs de techno".  Tu as un vocabulaire comment dire ?

> Je rêve d'un monde où le groupe de travail éduc de l'april irait de
> l'avant pour renforcer le logiciel libre dans le système scolaire au
> lieu d'écouter de tels débats réactionnaires.

Réa

> 
> Bye, Mt.
> 
> PS: désolé les autres de l'entrée en la matière un peu vigoureuse.

Les zooooooooooooootres ?!!!

Voilà un discours ouvert.

Librement Charlie
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ